Skip to content
vocapable.Docs

Rename, renumber or archive a transfer number (owner)

PATCH
/v1/workspace/transfer-destinations/{destination_id}
curl --request PATCH \
--url https://api.vocapable.com/v1/workspace/transfer-destinations/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "expected_revision": 1, "name": "example", "phone_e164": "example", "archived": true, "payment_line": true }'
destination_id
required
Destination Id
string
Media typeapplication/json
WorkspaceTransferDestinationUpdate
object
expected_revision
required
Expected Revision
integer
>= 1
name
Any of:
string
>= 1 characters <= 60 characters
phone_e164
Any of:
string
/^\+[1-9]\d{6,14}$/
archived
Any of:
boolean
payment_line
Any of:
boolean
Examplegenerated
{
"expected_revision": 1,
"name": "example",
"phone_e164": "example",
"archived": true,
"payment_line": true
}

Successful Response

Media typeapplication/json
WorkspaceTransferDestinations
object
data
required
Data
Array<object>
WorkspaceTransferDestination

A number the owner allow-listed for external transfers and three-way calls (E5-R3).

object
id
required
Id
string
name
required
Name
string
phone_e164
required
Phone E164
string
revision
required
Revision
integer
payment_line
Payment Line
boolean
can_manage
required
Can Manage
boolean
Example
{
"data": [
{
"payment_line": false
}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}